Bug 468794 - WARNING: at fs/buffer.c:1186 mark_buffer_dirty
WARNING: at fs/buffer.c:1186 mark_buffer_dirty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 21:34 EDT by Evan
Modified: 2009-12-18 01:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:40:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error for external device. (1.50 KB, text/plain)
2009-02-16 20:47 EST, Kyle Pablo
no flags Details

  None (edit)
Description Evan 2008-10-27 21:34:04 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:The data submitted is shown below:

WARNING: at fs/buffer.c:1186 mark_buffer_dirty+0x27/0x79() (Not tainted)
Modules linked in: ext2 bridge stp bnep sco l2cap bluetooth fuse sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 dm_multipath uinput snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_emul snd_via82xx_modem snd_seq_dummy snd_seq_oss ppdev snd_seq_midi_event snd_emu10k1 snd_seq snd_via82xx snd_ac97_codec snd_pcm_oss snd_mpu401_uart 8139cp snd_mixer_oss ac97_bus snd_util_mem k8temp snd_rawmidi snd_pcm snd_seq_device snd_timer snd_hwdep hwmon snd soundcore 8139too i2c_viapro mii pcspkr skge snd_page_alloc floppy i2c_core firewire_ohci firewire_core emu10k1_gp crc_itu_t gameport sata_via parport_pc parport usblp ata_generic pata_acpi pata_via
Pid: 219, comm: pdflush Not tainted 2.6.27.4-47.rc3.fc10.i686 #1
 [<c06c3d77>] ? printk+0xf/0x18
 [<c042bca8>] warn_on_slowpath+0x47/0x70
 [<c044179c>] ? getnstimeofday+0x3c/0xc9
 [<c046667a>] ? delayacct_end+0x70/0x77
 [<c04666db>] ? __delayacct_blkio_end+0x32/0x38
 [<c06c464b>] ? io_schedule+0x6d/0x8a
 [<c06c4b1a>] ? __wait_on_bit+0x54/0x5d
 [<c04add56>] ? sync_buffer+0x0/0x37
 [<c06c4bce>] ? out_of_line_wait_on_bit+0xab/0xb3
 [<c04add56>] ? sync_buffer+0x0/0x37
 [<c04ad743>] mark_buffer_dirty+0x27/0x79
 [<f8c871f7>] ext2_sync_super+0x31/0x47 [ext2]
 [<f8c87cd9>] ext2_error+0x28/0x86 [ext2]
 [<f8c85001>] ext2_get_inode+0xdd/0xed [ext2]
 [<f8c8504a>] ext2_update_inode+0x39/0x2b8 [ext2]
 [<f8c852d1>] ext2_write_inode+0x8/0xa [ext2]
 [<c04a934c>] __writeback_single_inode+0x187/0x28c
 [<c04026bf>] ? __switch_to+0xb9/0x139
 [<c04a97a5>] generic_sync_sb_inodes+0x1db/0x29c
 [<c04a9a7f>] writeback_inodes+0x7d/0xc5
 [<c04734c1>] wb_kupdate+0x7b/0xde
 [<c0473dd9>] pdflush+0x12c/0x1d5
 [<c0473446>] ? wb_kupdate+0x0/0xde
 [<c0473cad>] ? pdflush+0x0/0x1d5
 [<c043c9af>] kthread+0x3b/0x61
 [<c043c974>] ? kthread+0x0/0x61
 [<c04048f7>] kernel_thread_helper+0x7/0x10
 ======================
 ======================---[ end trace c5298271ac95bda3 ]---

Potential extra analysis of this data is shown below:
Comment 1 Eric Sandeen 2008-10-28 14:17:19 EDT
Just for future reference, this is:

void mark_buffer_dirty(struct buffer_head *bh)
{
        WARN_ON_ONCE(!buffer_uptodate(bh));
...
Comment 2 Tom London 2008-11-20 10:16:32 EST
Got this with kernel-2.6.27.5-120.fc10.x86_64.

I unplugged USB hard drive after sync-ing, but forgot to unmount ext4 FS.  [Did not get similar for mounted ext3 FS, btw.]

ext4: I/O error while writing superblock for sdb1.
EXT4-fs error (device sdb1): ext4_discard_preallocations: Error in loading buddy information for 600

ext4: I/O error while writing superblock for sdb1.
------------[ cut here ]------------
WARNING: at fs/buffer.c:1186 mark_buffer_dirty+0x2f/0x87() (Not tainted)
Modules linked in: ext4 jbd2 crc16 usb_storage i915 drm rfcomm sco bridge stp bnep l2cap sunrpc nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq arc4 ecb snd_seq_device iwlagn snd_pcm_oss snd_mixer_oss iwlcore snd_pcm sdhci_pci sdhci thinkpad_acpi snd_timer i2c_i801 mac80211 snd_page_alloc e1000e mmc_core firewire_ohci ppdev snd_hwdep snd rfkill hwmon firewire_core btusb i2c_core video yenta_socket pcspkr rsrc_nonstatic soundcore parport_pc bluetooth output iTCO_wdt iTCO_vendor_support cfg80211 parport crc_itu_t battery ac sha256_generic cbc aes_x86_64 aes_generic dm_crypt crypto_blkcipher [last unloaded: microcode]
Pid: 4737, comm: umount Not tainted 2.6.27.5-120.fc10.x86_64 #1

Call Trace:
 [<ffffffff810418f2>] warn_on_slowpath+0x60/0x90
 [<ffffffff81090bab>] ? mempool_free_slab+0x12/0x14
 [<ffffffff81090c1f>] ? mempool_free+0x72/0x77
 [<ffffffff810e59b9>] ? bio_free+0x51/0x56
 [<ffffffff810e59ce>] ? bio_fs_destructor+0x10/0x12
 [<ffffffff810b9c04>] ? __slab_free+0x83/0x28e
 [<ffffffff8112649d>] ? __journal_remove_journal_head+0x121/0x129
 [<ffffffff810e1d42>] mark_buffer_dirty+0x2f/0x87
 [<ffffffff811269bc>] journal_update_superblock+0x7c/0xd4
 [<ffffffff81125413>] cleanup_journal_tail+0xe4/0xf1
 [<ffffffff81125886>] log_do_checkpoint+0x3c8/0x432
 [<ffffffff8108e537>] ? find_get_pages_tag+0x43/0xd9
 [<ffffffff81020143>] ? apic_wait_icr_idle+0x1a/0x24
 [<ffffffff81026391>] ? __send_IPI_dest_field+0x5e/0x67
 [<ffffffff810313bf>] ? update_curr+0x60/0xb9
 [<ffffffff81033b5f>] ? __dequeue_entity+0x61/0x6a
 [<ffffffff8100e767>] ? __switch_to+0x109/0x3e0
 [<ffffffff8103408c>] ? pick_next_task_fair+0x9d/0xac
 [<ffffffff8103e2ad>] ? finish_task_switch+0x31/0xc9
 [<ffffffff81332157>] ? __reacquire_kernel_lock+0x35/0x40
 [<ffffffff8133050e>] ? thread_return+0xab/0xd9
 [<ffffffff81126d42>] journal_destroy+0x108/0x1bd
 [<ffffffff81055199>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff8111af3b>] ext3_put_super+0x30/0x1e2
 [<ffffffff810c1dda>] generic_shutdown_super+0x63/0xd9
 [<ffffffff810c1e65>] kill_block_super+0x15/0x2a
 [<ffffffff810c1f4c>] deactivate_super+0x69/0x7e
 [<ffffffff810d6242>] mntput_no_expire+0x106/0x144
 [<ffffffff810d6830>] sys_umount+0x2d7/0x306
 [<ffffffff810c71b3>] ? path_put+0x1d/0x21
 [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b

---[ end trace e634f742b8bd50c3 ]---
EXT4-fs: mballoc: 6918165 blocks 15068 reqs (7556 success)
EXT4-fs: mballoc: 251622 extents scanned, 4232 goal hits, 9378 2^N hits, 1163 breaks, 0 lost
EXT4-fs: mballoc: 3074 generated and it took 69917350
EXT4-fs: mballoc: 4562504 preallocated, 2353926 discarded
ext4_abort called.
EXT4-fs error (device sdb1): ext4_put_super: Couldn't clean up the journal
Remounting filesystem read-only

Spew started with:

usb 1-4.1: USB disconnect, address 6
end_request: I/O error, dev sdb, sector 96810975
Aborting journal on device sdb1:8.
Buffer I/O error on device sdb1, logical block 12091392
lost page write due to I/O error on sdb1
JBD2: I/O error detected when updating journal superblock for sdb1:8.
journal commit I/O error
EXT4-fs error (device sdb1): ext4_discard_preallocations: Error in loading buddy information for 479

Buffer I/O error on device sdb1, logical block 0
lost page write due to I/O error on sdb1
ext4: I/O error while writing superblock for sdb1.
EXT4-fs error (device sdb1): ext4_discard_preallocations: Error in loading buddy information for 130

Buffer I/O error on device sdb1, logical block 0
lost page write due to I/O error on sdb1
ext4: I/O error while writing superblock for sdb1.
EXT4-fs error (device sdb1): ext4_read_block_bitmap: Cannot read block bitmap - block_group = 297, block_bitmap = 9437193
Buffer I/O error on device sdb1, logical block 0
lost page write due to I/O error on sdb1
ext4: I/O error while writing superblock for sdb1.
EXT4-fs error (device sdb1): ext4_discard_preallocations: Error in reading block bitmap for 297

Buffer I/O error on device sdb1, logical block 0
lost page write due to I/O error on sdb1
ext4: I/O error while writing superblock for sdb1.
EXT4-fs error (device sdb1): ext4_discard_preallocations: Error in loading buddy information for 479


Believe this is kerneloops'ed here: http://www.kerneloops.org/searchweek.php?search=journal_update_superblock
Comment 3 Eric Sandeen 2008-11-20 11:32:12 EST
Tom, thanks for the additional info, I will get to this eventually... :)

Evan, were you in a similar situation (unplugged USB drive or such?)
Comment 4 Bug Zapper 2008-11-25 23:20:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Evan 2008-12-27 03:14:20 EST
(In reply to comment #3)
> Tom, thanks for the additional info, I will get to this eventually... :)
> 
> Evan, were you in a similar situation (unplugged USB drive or such?)

No this is unrelated to Tom's USB HD issue. Thank you Evan
Comment 6 Kyle Pablo 2009-02-16 20:45:14 EST
I am experiencing this error message with my firewire external hdd. Attached is my error.
Comment 7 Kyle Pablo 2009-02-16 20:47:11 EST
Created attachment 332160 [details]
Error for external device.
Comment 8 Eric Sandeen 2009-02-16 22:05:11 EST
Kyle, do you get this every time you unmount, or was this a one-time occurrence?  Any other errors before this?
Comment 9 Kyle Pablo 2009-02-24 22:47:42 EST
It appears to be a one-time occurrence.
Comment 10 Bug Zapper 2009-11-18 03:40:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:40:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.